use snafu::Snafu;

use std::path::PathBuf;

#[derive(Debug, Snafu)]
#[snafu(visibility(pub))]
pub enum Error {
    #[snafu(display("Failed to spawn unix socket at {}", path.display()))]
    SocketCreate { path: PathBuf, source: std::io::Error },

    #[snafu(display("Failed to spawn a web server"))]
    Server { source: hyper::Error },
}
